System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IDisposable A slightly more abstracted way to create an outgoing network connections than a . To be added
- Constructor
  Constructs a new TcpClient with no connection set up.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  The aforementioned local endpoint
  Constructs a new TcpClient with a specified local endpoint. Use this if you want to have your connections originating from a certain port, or a certain IP (on a multi homed system).
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  1.0.5000.0
  2.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  The host to connect to, e.g. "192.168.0.201" or "www.myelin.co.nz"
  The port to connect to, e.g. 80 for HTTP
  Constructs a new TcpClient and connects to a specified host on a specified port. A quick way to set up a network connection.
  To be added
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean A flag that is 'true' if the TcpClient has an active connection To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  2.0.0.0
  System.IAsyncResult `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.IAsyncResult `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.IAsyncResult `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  System.Net.Sockets.Socket The that all network communications passes through. The . To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void Closes the socket and disposes of all managed resources. Throws if something goes wrong while closing the socket. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The remote EndPoint. Connects to a specified remote endpoint. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` The remote . The port number to connect to, e.g. 80 for HTTP. Connects to an IP address on a port. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` The hostname, e.g. "www.myelin.co.nz". The port number to connect to, e.g. 80 for HTTP. Resolves a fully qualified domain name to an IP address and connects to it on a specified port. To be added 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  System.Void `` If this is true, it gets rid of all managed resources as well. Gets rid of all unmanaged resources. To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Net.Sockets.NetworkStream Gets the object connected to the connection socket. The object connected to the connection socket. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Net.Sockets.LingerOption If set, the socket will remain open after it has been instructed to close, in order to send data that remains in the buffer. To be added: an object of type 'LingerOption' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean If set, outbound data will be sent at once rather than collected until enough is available to fill a packet. This is the TCP_NODELAY sockopt from BSD sockets and WinSock. For more information, look up the Nagle algorithm. To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 How big the receive buffer is (from the connection socket). The buffer size. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 How long before the socket will time out on a Receive() call. To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 How big the send buffer is (from the connection socket). The buffer size. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 How long before the socket will time out on a Send() call. To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.